Freeciv-3.3: packet_ruleset_extra Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_extra Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
char | name [MAX_LEN_NAME]
char | rule_name [MAX_LEN_NAME]
int | category
bv_causes | causes
bv_rmcauses | rmcauses
char | activity_gfx [MAX_LEN_NAME]
char | act_gfx_alt [MAX_LEN_NAME]
char | act_gfx_alt2 [MAX_LEN_NAME]
char | rmact_gfx [MAX_LEN_NAME]
char | rmact_gfx_alt [MAX_LEN_NAME]
char | rmact_gfx_alt2 [MAX_LEN_NAME]
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
struct requirement_vector | reqs
struct requirement_vector | rmreqs
int | appearance_chance
struct requirement_vector | appearance_reqs
int | disappearance_chance
struct requirement_vector | disappearance_reqs
int | visibility_req
bool | buildable
bool | generated
int | build_time
int | build_time_factor
int | removal_time
int | removal_time_factor
int | infracost
int | defense_bonus
enum extra_unit_seen_type | eus
bv_unit_classes | native_to
bv_extra_flags | flags
bv_extras | hidden_by
bv_extras | bridged_over
bv_extras | conflicts
int | no_aggr_near_city
struct strvec * | helptext

## Detailed Description

Definition at line 1260 of file packets_gen.h.

## Field Documentation

## ◆ act_gfx_alt

char packet_ruleset_extra::act_gfx_alt[MAX_LEN_NAME]

Definition at line 1268 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ act_gfx_alt2

char packet_ruleset_extra::act_gfx_alt2[MAX_LEN_NAME]

Definition at line 1269 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ activity_gfx

char packet_ruleset_extra::activity_gfx[MAX_LEN_NAME]

Definition at line 1267 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ appearance_chance

int packet_ruleset_extra::appearance_chance

Definition at line 1277 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ appearance_reqs

struct requirement_vector packet_ruleset_extra::appearance_reqs

Definition at line 1278 of file packets_gen.h.

Referenced by free_packet_ruleset_extra(), handle_ruleset_extra(), init_packet_ruleset_extra(), and send_ruleset_extras().

## ◆ bridged_over

bv_extras packet_ruleset_extra::bridged_over

Definition at line 1294 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ build_time

int packet_ruleset_extra::build_time

Definition at line 1284 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ build_time_factor

int packet_ruleset_extra::build_time_factor

Definition at line 1285 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ buildable

bool packet_ruleset_extra::buildable

Definition at line 1282 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ category

int packet_ruleset_extra::category

Definition at line 1264 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ causes

bv_causes packet_ruleset_extra::causes

Definition at line 1265 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ conflicts

bv_extras packet_ruleset_extra::conflicts

Definition at line 1295 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ defense_bonus

int packet_ruleset_extra::defense_bonus

Definition at line 1289 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ disappearance_chance

int packet_ruleset_extra::disappearance_chance

Definition at line 1279 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ disappearance_reqs

struct requirement_vector packet_ruleset_extra::disappearance_reqs

Definition at line 1280 of file packets_gen.h.

Referenced by free_packet_ruleset_extra(), handle_ruleset_extra(), init_packet_ruleset_extra(), and send_ruleset_extras().

## ◆ eus

enum extra_unit_seen_type packet_ruleset_extra::eus

Definition at line 1290 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ flags

bv_extra_flags packet_ruleset_extra::flags

Definition at line 1292 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ generated

bool packet_ruleset_extra::generated

Definition at line 1283 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ graphic_alt

char packet_ruleset_extra::graphic_alt[MAX_LEN_NAME]

Definition at line 1274 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ graphic_str

char packet_ruleset_extra::graphic_str[MAX_LEN_NAME]

Definition at line 1273 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ helptext

struct strvec* packet_ruleset_extra::helptext

Definition at line 1297 of file packets_gen.h.

Referenced by free_packet_ruleset_extra(), handle_ruleset_extra(), init_packet_ruleset_extra(), and send_ruleset_extras().

## ◆ hidden_by

bv_extras packet_ruleset_extra::hidden_by

Definition at line 1293 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ id

int packet_ruleset_extra::id

Definition at line 1261 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ infracost

int packet_ruleset_extra::infracost

Definition at line 1288 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ name

char packet_ruleset_extra::name[MAX_LEN_NAME]

Definition at line 1262 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ native_to

bv_unit_classes packet_ruleset_extra::native_to

Definition at line 1291 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ no_aggr_near_city

int packet_ruleset_extra::no_aggr_near_city

Definition at line 1296 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ removal_time

int packet_ruleset_extra::removal_time

Definition at line 1286 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ removal_time_factor

int packet_ruleset_extra::removal_time_factor

Definition at line 1287 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ reqs

struct requirement_vector packet_ruleset_extra::reqs

Definition at line 1275 of file packets_gen.h.

Referenced by free_packet_ruleset_extra(), handle_ruleset_extra(), init_packet_ruleset_extra(), and send_ruleset_extras().

## ◆ rmact_gfx

char packet_ruleset_extra::rmact_gfx[MAX_LEN_NAME]

Definition at line 1270 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ rmact_gfx_alt

char packet_ruleset_extra::rmact_gfx_alt[MAX_LEN_NAME]

Definition at line 1271 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ rmact_gfx_alt2

char packet_ruleset_extra::rmact_gfx_alt2[MAX_LEN_NAME]

Definition at line 1272 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ rmcauses

bv_rmcauses packet_ruleset_extra::rmcauses

Definition at line 1266 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ rmreqs

struct requirement_vector packet_ruleset_extra::rmreqs

Definition at line 1276 of file packets_gen.h.

Referenced by free_packet_ruleset_extra(), handle_ruleset_extra(), init_packet_ruleset_extra(), and send_ruleset_extras().

## ◆ rule_name

char packet_ruleset_extra::rule_name[MAX_LEN_NAME]

Definition at line 1263 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().

## ◆ visibility_req

int packet_ruleset_extra::visibility_req

Definition at line 1281 of file packets_gen.h.

Referenced by handle_ruleset_extra(), and send_ruleset_extras().